% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/processing.R
\name{performPCA}
\alias{performPCA}
\title{Calculate Principal Components for the Enrichment Scores}
\usage{
performPCA(enriched, gene.sets = NULL, groups)
}
\arguments{
\item{enriched}{The output of \code{\link{enrichIt}}.}

\item{gene.sets}{Names of gene sets to include in the PCA}

\item{groups}{The column headers to use in future graphing functions.}
}
\value{
Data frame of principal components
}
\description{
Using all or selected enrichment scores of individual 
single-cells, this function will calculate 
principal components using scaled values and attach 
to the output columns to use to graph later.
}
\examples{
ES2 <- readRDS(url(
"https://ncborcherding.github.io/vignettes/escape_enrichment_results.rds"))

PCA <- performPCA(enriched = ES2, groups = c("Type", "Cluster"), 
gene.sets = colnames(ES2))

}
\author{
Nick Borcherding
}
